--
-- Created by IntelliJ IDEA.
-- User: Jens
-- Date: 01.04.14
-- Time: 08:16
-- To change this template use File | Settings | File Templates.
--
local PimpMyProfession = LibStub("AceAddon-3.0"):GetAddon("PimpMyProfession")
local Guide = PimpMyProfession:NewModule("Guide", "AceEvent-3.0")
local L = LibStub("AceLocale-3.0"):GetLocale("PimpMyProfession")

Guide.SkillAreas = {
    {
        f= 1, t= 75, name = L["Apprentice"]
    },
    {
        f= 50, t= 150, name = L["Journeyman"]
    },
    {
        f= 125, t= 225, name = L["Expert"]
    },
    {
        f= 200, t= 300, name = L["Artisan"]
    },
    {
        f= 275, t= 375, name = L["Master"]
    },
    {
        f= 350, t= 450, name = L["Grand Master"]
    },
    {
        f= 425, t= 525, name = L["Illustrious"]
    },
    {
        f= 500, t= 600, name = L["Zen Master"]
    }
}

Guide.AvailableGuides = {171}

function Guide:IsAvailable(skillline)
    local result = false
    for i=1, #Guide.AvailableGuides do
       if skillline == Guide.AvailableGuides[i] then
           result = true
       end
    end
    return result
end

function Guide:GetGuide(skillline)
    if not Guide:IsAvailable(skillline) then return nil end

    if skillline == 171 then
        return GuideDB_Alchemy
    end
end